<?php 
include_once "funcoes.php";

$I = new AcceptanceTester($scenario);
$I->am('Quem cadastrou interessado');
	$funcionario = Auth::loginByUsuario($I, "fellipe.leite");

	$autorizacoes = array(
		'Transformar em Prospecto' => false, 
		'Vincular Prospecto/Cliente' => false,
		'Editar' => true,
		'Trocar tipo' => true,
		'Visualizar' => true,
		'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
	);

	$interessado = Interessados::model()->findByPk(1935);
	resetInteressado("P",$interessado);

	$I->amOnPage(Url::create("interessados/view&id={$interessado->INT_CODIGO}"));
	VerificaMenus::verificar($I, $autorizacoes);

	trocaTipo($I, "A", $interessado);
	$autorizacoes = array(
		'Transformar em Prospecto' => false, 
		'Vincular Prospecto/Cliente' => false,
		'Editar' => true,
		'Trocar tipo' => true,
		'Visualizar' => true,
		'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
	);
	VerificaMenus::verificar($I, $autorizacoes);

	trocaTipo($I, "O", $interessado);

	$autorizacoes = array(
		'Transformar em Prospecto' => false, 
		'Vincular Prospecto/Cliente' => false,
		'Editar' => false,
		'Trocar tipo' => false,
		'Visualizar' => true,
		'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
	);

	VerificaMenus::verificar($I, $autorizacoes);
	resetInteressado("P",$interessado);

$usuarios_acesso_vendedor = array(
	'marlun.junges' => 'Vendedor responsável',
	'marcio.meirer' => 'Diretor revenda',
	'debora.peyer' => 'Administrativo',
	'jonas.rohsig' => 'Consultor com acesso a revenda'
);
$delete_cliente = false;
foreach ($usuarios_acesso_vendedor as $usuario => $funcao) {
	if($delete_cliente){
		resetInteressado("P",$interessado, true);
	}
	$delete_cliente = true;

	Auth::logout($I);
	$I->am($funcao);
	$funcionario = Auth::loginByUsuario($I, $usuario);
		$autorizacoes = array(
		'Transformar em Prospecto' => true, 
		'Vincular Prospecto/Cliente' => true,
		'Editar' => true,
		'Trocar tipo' => true,
		'Visualizar' => true,
		'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
	);

	$I->amOnPage(Url::create("interessados/view&id={$interessado->INT_CODIGO}"));
	VerificaMenus::verificar($I, $autorizacoes);

	trocaTipo($I, "A", $interessado);
	$autorizacoes = array(
		'Transformar em Prospecto' => false, 
		'Vincular Prospecto/Cliente' => true,
		'Editar' => true,
		'Trocar tipo' => true,
		'Visualizar' => true,
		'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
	);
	VerificaMenus::verificar($I, $autorizacoes);

	vincularProspecto($I, $interessado);

	resetInteressado("P",$interessado);
	$I->amOnPage("?r=interessados/view&id={$interessado->INT_CODIGO}");

	transformarProspecto($I,$interessado);
}

Auth::logout($I);
$I->am('Quem cadastrou o interessado'); // Testa novamente com o usuário para ver se ele não pode acessar o interessado vinculado
	$funcionario = Auth::loginByUsuario($I, "fellipe.leite");

	$interessado = Interessados::model()->findByPk(1935);
	$I->amOnPage(Url::create("interessados/view&id={$interessado->INT_CODIGO}"));
	$I->seeElement('.alert-error');

resetInteressado("P",$interessado, true);
Auth::logout($I);
$I->am('Consultor sem acesso a revenda');
$funcionario = Auth::loginByUsuario($I, "nadine.sulzbach");
	$interessado = Interessados::model()->findByPk(1935);
	$I->amOnPage(Url::create("interessados/view&id={$interessado->INT_CODIGO}"));
	$I->seeElement('.alert-error');

Auth::logout($I);
$I->am('Administrador');
$funcionario = Auth::loginByUsuario($I, $usuario);
	$autorizacoes = array(
	'Transformar em Prospecto' => true, 
	'Vincular Prospecto/Cliente' => true,
	'Editar' => true,
	'Trocar tipo' => true,
	'Visualizar' => true,
	'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
);
$funcionario = Auth::loginByUsuario($I, "rosangela.admin");
	$I->amOnPage(Url::create("interessados/view&id={$interessado->INT_CODIGO}"));

	trocaTipo($I, "A", $interessado);
	$autorizacoes = array(
		'Transformar em Prospecto' => false, 
		'Vincular Prospecto/Cliente' => true,
		'Editar' => true,
		'Trocar tipo' => true,
		'Visualizar' => true,
		'Prospecto/Cliente' => array('permissao' => false, 'href' => 'clientes/view?id=')
	);
	VerificaMenus::verificar($I, $autorizacoes);

	vincularProspecto($I, $interessado,true);

	resetInteressado("P",$interessado);
	$I->amOnPage("?r=interessados/view&id={$interessado->INT_CODIGO}");

	transformarProspecto($I,$interessado,true);

	$interessado = Interessados::model()->findByPk($interessado->INT_CODIGO);
	$autorizacoes = array(
		'Transformar em Prospecto' => false, 
		'Vincular Prospecto/Cliente' => false,
		'Editar' => true,
		'Trocar tipo' => true,
		'Visualizar' => true,
		'Prospecto/Cliente' => true
	);
	$I->amOnPage(Url::create("interessados/view&id={$interessado->INT_CODIGO}"));
	VerificaMenus::verificar($I, $autorizacoes);

	resetInteressado("P",$interessado, true);